org.apache.activemq.artemis.uri

## Class UDPServerLocatorSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>
  - - org.apache.activemq.artemis.uri.AbstractServerLocatorSchema
    - - org.apache.activemq.artemis.uri.UDPServerLocatorSchema

-     public class UDPServerLocatorSchema
      extends AbstractServerLocatorSchema

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static List<String>` | `IGNORED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDPServerLocatorSchema()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DiscoveryGroupConfiguration` | `getDiscoveryGroupConfiguration(URI uri, Map<String,String> query, String host, int port, String name)`
    `String` | `getSchemaName()`
    `protected ServerLocator` | `internalNewObject(URI uri, Map<String,String> query, String name)`
    `protected URI` | `internalNewURI(ServerLocator bean)`

    - ### Methods inherited from class org.apache.activemq.artemis.uri.AbstractServerLocatorSchema

      `newConnectionOptions`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `copyData, decodeURI, encodeURI, getData, getDefaultURI, getFactory, getHost, getPort, newObject, newObject, newURI, parseQuery, populateObject, printQuery, setData, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IGNORED

          protected static List<String> IGNORED

  - ### Constructor Detail

    - #### UDPServerLocatorSchema

          public UDPServerLocatorSchema()

  - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>`

    - #### internalNewObject

          protected ServerLocator internalNewObject(URI uri,
                                                    Map<String,String> query,
                                                    String name)
                                             throws Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>`
      Throws:
        `Exception`

    - #### internalNewURI

          protected URI internalNewURI(ServerLocator bean)
                                throws Exception

      Overrides:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>`
      Throws:
        `Exception`

    - #### getDiscoveryGroupConfiguration

          public static DiscoveryGroupConfiguration getDiscoveryGroupConfiguration(URI uri,
                                                                                   Map<String,String> query,
                                                                                   String host,
                                                                                   int port,
                                                                                   String name)
                                                                            throws Exception

      Throws:
        `Exception`

Copyright © 2016. All rights reserved.